Bug 27210 - Typo in patron-attr-types.tt
Summary: Typo in patron-attr-types.tt
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Kyle M Hall
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2020-12-11 20:17 UTC by Caroline Cyr La Rose
Modified: 2021-06-14 21:34 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03,20.05.09,19.11.15


Attachments
Bug 27210: Typo in patron-attr-types.tt (2.46 KB, patch)
2021-01-19 01:55 UTC, Mazen Khallaf
Details | Diff | Splinter Review
Bug 27210: Typo in patron-attr-types.tt (2.53 KB, patch)
2021-01-19 11:42 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27210: Typo in patron-attr-types.tt (2.59 KB, patch)
2021-01-21 17:38 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2020-12-11 20:17:41 UTC
When adding a new patron attribute, next to the 'Editable in OPAC' field, there is this sentence:

(Requires above, does not work during self-registration if PatronSelfRegistrationVerifyByEmail **if** set.)

Which should be 

(Requires above, does not work during self-registration if PatronSelfRegistrationVerifyByEmail **is** set.)

To replicate:
1) Make sure the ExtendedPatronAttributes syspref is active
2) Go to Administration > Patron attribute types
3) Click New patron attribute type
4) Check the sentence next to the Editable in OPAC checkbox
Comment 1 Mazen Khallaf 2021-01-19 01:55:47 UTC
Created attachment 115280 [details] [review]
Bug 27210: Typo in patron-attr-types.tt

Test Plan:
1. Make sure the ExtendedPatronAttributes syspref is active
2. Go to Administration > Patron attribute types
3. Click New patron attribute type
4. Check the sentence next to the Editable in OPAC checkbox (Should say
        "Requires above, does not work during self-registration if
        PatronSelfRegistrationVerifyByEmail if set." - Notice the use of
        'if set')
5. Apply Patch
6. Repeat steps 2-4 (Should now say "Requires above, does not work
        during self-registration if PatronSelfRegistrationVerifyByEmail
        is set." - Notice the use of 'is set')
7. If it says 'is set', the patch works as expected.
Comment 2 PTFS Europe Sandboxes 2021-01-19 11:42:40 UTC
Created attachment 115308 [details] [review]
Bug 27210: Typo in patron-attr-types.tt

Test Plan:
1. Make sure the ExtendedPatronAttributes syspref is active
2. Go to Administration > Patron attribute types
3. Click New patron attribute type
4. Check the sentence next to the Editable in OPAC checkbox (Should say
        "Requires above, does not work during self-registration if
        PatronSelfRegistrationVerifyByEmail if set." - Notice the use of
        'if set')
5. Apply Patch
6. Repeat steps 2-4 (Should now say "Requires above, does not work
        during self-registration if PatronSelfRegistrationVerifyByEmail
        is set." - Notice the use of 'is set')
7. If it says 'is set', the patch works as expected.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Sally 2021-01-19 11:45:48 UTC
Works as described.
Comment 4 Kyle M Hall 2021-01-21 17:38:12 UTC
Created attachment 115582 [details] [review]
Bug 27210: Typo in patron-attr-types.tt

Test Plan:
1. Make sure the ExtendedPatronAttributes syspref is active
2. Go to Administration > Patron attribute types
3. Click New patron attribute type
4. Check the sentence next to the Editable in OPAC checkbox (Should say
        "Requires above, does not work during self-registration if
        PatronSelfRegistrationVerifyByEmail if set." - Notice the use of
        'if set')
5. Apply Patch
6. Repeat steps 2-4 (Should now say "Requires above, does not work
        during self-registration if PatronSelfRegistrationVerifyByEmail
        is set." - Notice the use of 'is set')
7. If it says 'is set', the patch works as expected.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Jonathan Druart 2021-01-22 13:54:22 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-01-29 13:35:59 UTC
This is more a bug thant enhancement, I backport.

Pushed to 20.11.x for 20.11.03
Comment 7 Andrew Fuerste-Henry 2021-02-04 21:03:36 UTC
Pushed to 20.05.x for 20.05.09
Comment 8 Victor Grousset/tuxayo 2021-02-08 20:56:55 UTC
Backported: Pushed to 19.11.x branch for 19.11.15